import { CompositeXform } from "../../composite-xform.js";
import { CfvoExtXform } from "./cfvo-ext-xform.js";
import { CfIconExtXform } from "./cf-icon-ext-xform.js";
declare class IconSetExtXform extends CompositeXform {
    cfvoXform: CfvoExtXform;
    cfIconXform: CfIconExtXform;
    constructor();
    get tag(): string;
    render(xmlStream: any, model: any): void;
    createNewModel({ attributes }: {
        attributes: any;
    }): {
        cfvo: any[];
        iconSet: any;
        reverse: boolean;
        showValue: boolean;
    };
    onParserClose(name: any, parser: any): void;
}
export { IconSetExtXform };
